Table of Contents

Class: NoteBook | ../bkchem/Pmw.py
--- | ---
Base Classes |
--- | ---
MegaArchetype
Methods |
--- | ---
__init__ add delete getcurselection index insert nextpage | page pagenames previouspage recolorborders selectpage setnaturalsize tab
| __init__
    __init__ (
            self,
            parent=None,
            **kw,
            )
Exceptions |
--- | ---
ValueError, 'bad tabpos option %s: should be n or None' % repr( tabpos )
| add
    add (
            self,
            pageName,
            **kw,
            )
| delete
    delete ( self,  *pageNames )
| getcurselection
    getcurselection ( self )
| index
    index (
            self,
            index,
            forInsert=0,
            )
Exceptions |
--- | ---
ValueError, 'NoteBook has no pages' ValueError, 'bad index "%s": must be %s' %( index, validValues ) ValueError, 'index "%s" is out of range' % index
| insert
    insert (
            self,
            pageName,
            before=0,
            **kw,
            )
Exceptions |
--- | ---
KeyError, 'Unknown option "' + key + '"' ValueError, msg
| nextpage
    nextpage ( self,  pageIndex=None )
| page
    page ( self,  pageIndex )
| pagenames
    pagenames ( self )
| previouspage
    previouspage ( self,  pageIndex=None )
| recolorborders
    recolorborders ( self )
| selectpage
    selectpage ( self,  page )
| setnaturalsize
    setnaturalsize ( self,  pageNames=None )
| tab
    tab ( self,  pageIndex )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1